//
//  GLAppDelegate.m
//  GL
//
//  Created by Computer Lab 209 on 11/08/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "GLAppDelegate.h"
#import "view.h"
#import "GLViewController.h"

@implementation GLAppDelegate

@synthesize window;
@synthesize viewController;

- (BOOL) application: (UIApplication *) application
	didFinishLaunchingWithOptions: (NSDictionary *) launchOptions {    
    
	// Override point for customization after application launch.
	UIScreen *s = [UIScreen mainScreen];
	view = [[View alloc] initWithFrame: s.applicationFrame];
	
	
	window = [[UIWindow alloc] initWithFrame: s.bounds];
	
	[window addSubview: view];
	[window makeKeyAndVisible];
	return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    [viewController stopAnimation];
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    [viewController startAnimation];
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    [viewController stopAnimation];
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Handle any background procedures not related to animation here.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Handle any foreground procedures not related to animation here.
}

- (void)dealloc
{
    [viewController release];
    [window release];
    
    [super dealloc];
}

@end
